> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Async



## OpenAPI

````yaml /api-reference/openapi.json post /v2/extract/async
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v2/extract/async:
    post:
      tags:
        - Extract
      summary: Extract Async
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ExtractPayload'
                - properties:
                    callback_url:
                      description: URL to call back when async operation completes
                      examples:
                        - https://example.com/webhook/callback
                      type: string
                    storage_compress:
                      description: Whether to compress stored data
                      examples:
                        - true
                      type: boolean
                    storage_object_name:
                      description: Custom name for the stored object
                      examples:
                        - result-2024-01-15.json
                      type: string
                    storage_type:
                      description: Type of storage to use for results
                      examples:
                        - s3
                      type: string
                    storage_url:
                      description: URL for storage location
                      examples:
                        - s3://bucket-name/path/to/object
                      type: string
                  type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractAsyncResponse'
          description: Task created successfully
      security:
        - BearerAuth: []
components:
  schemas:
    ExtractPayload:
      properties:
        auto_driver_configuration:
          additionalProperties:
            maximum: 10
            minimum: 0
            type: integer
          description: >-
            Custom flow for the optimization engine: maps candidate names to the
            number of attempts to spend on each candidate before advancing (0
            skips it). Key order defines the flow order. Providing it opts the
            request into 'auto' driver selection.
          examples:
            - vx10: 2
              vx10-pro: 0
              vx6-fast: 1
              vx6-stealth: 1
              vx8: 5
              vx8-pro: 5
          propertyNames:
            type: string
          type: object
        body:
          description: Request body for POST, PUT, PATCH methods
          examples:
            - key: value
        browser:
          anyOf:
            - description: Browser type to emulate
              enum:
                - chrome
                - firefox
              examples:
                - chrome
              type: string
            - properties:
                name:
                  enum:
                    - chrome
                    - firefox
                  type: string
                version:
                  description: Specific browser version to emulate
                  examples:
                    - 120.0.0
                  type: string
              required:
                - name
              type: object
        browser_actions:
          $ref: '#/components/schemas/BrowserActions'
        city:
          description: City for geolocation
          examples:
            - Los Angeles
          type: string
        consent_header:
          description: Whether to automatically handle cookie consent headers
          type: boolean
        cookies:
          anyOf:
            - description: Browser cookies as array of cookie objects
              items:
                additionalProperties: {}
                properties:
                  creation:
                    anyOf:
                      - type: string
                      - type: 'null'
                  domain:
                    anyOf:
                      - type: string
                      - type: 'null'
                  expires:
                    anyOf:
                      - type: string
                      - const: Infinity
                        type: string
                  extensions:
                    anyOf:
                      - items:
                          type: string
                        type: array
                      - type: 'null'
                  hostOnly:
                    anyOf:
                      - type: boolean
                      - type: 'null'
                  httpOnly:
                    anyOf:
                      - type: boolean
                      - type: 'null'
                  lastAccessed:
                    anyOf:
                      - type: string
                      - type: 'null'
                  maxAge:
                    anyOf:
                      - anyOf:
                          - type: number
                          - const: Infinity
                            type: string
                          - const: '-Infinity'
                            type: string
                      - type: 'null'
                  name:
                    type: string
                  path:
                    anyOf:
                      - type: string
                      - type: 'null'
                  pathIsDefault:
                    anyOf:
                      - type: boolean
                      - type: 'null'
                  sameSite:
                    enum:
                      - strict
                      - lax
                      - none
                    type: string
                  secure:
                    type: boolean
                  value:
                    type: string
                type: object
              type: array
            - description: Browser cookies as string
              examples:
                - sessionId=abc123; userId=user456
              type: string
        country:
          anyOf:
            - enum:
                - AD
                - AE
                - AF
                - AG
                - AI
                - AL
                - AM
                - AO
                - AQ
                - AR
                - AS
                - AT
                - AU
                - AW
                - AX
                - AZ
                - BA
                - BB
                - BD
                - BE
                - BF
                - BG
                - BH
                - BI
                - BJ
                - BL
                - BM
                - BN
                - BO
                - BQ
                - BR
                - BS
                - BT
                - BV
                - BW
                - BY
                - BZ
                - CA
                - CC
                - CD
                - CF
                - CG
                - CH
                - CI
                - CK
                - CL
                - CM
                - CN
                - CO
                - CR
                - CU
                - CV
                - CW
                - CX
                - CY
                - CZ
                - DE
                - DJ
                - DK
                - DM
                - DO
                - DZ
                - EC
                - EE
                - EG
                - EH
                - ER
                - ES
                - ET
                - FI
                - FJ
                - FK
                - FM
                - FO
                - FR
                - GA
                - GB
                - GD
                - GE
                - GF
                - GG
                - GH
                - GI
                - GL
                - GM
                - GN
                - GP
                - GQ
                - GR
                - GS
                - GT
                - GU
                - GW
                - GY
                - HK
                - HM
                - HN
                - HR
                - HT
                - HU
                - ID
                - IE
                - IL
                - IM
                - IN
                - IO
                - IQ
                - IR
                - IS
                - IT
                - JE
                - JM
                - JO
                - JP
                - KE
                - KG
                - KH
                - KI
                - KM
                - KN
                - KP
                - KR
                - KW
                - KY
                - KZ
                - LA
                - LB
                - LC
                - LI
                - LK
                - LR
                - LS
                - LT
                - LU
                - LV
                - LY
                - MA
                - MC
                - MD
                - ME
                - MF
                - MG
                - MH
                - MK
                - ML
                - MM
                - MN
                - MO
                - MP
                - MQ
                - MR
                - MS
                - MT
                - MU
                - MV
                - MW
                - MX
                - MY
                - MZ
                - NA
                - NC
                - NE
                - NF
                - NG
                - NI
                - NL
                - 'NO'
                - NP
                - NR
                - NU
                - NZ
                - OM
                - PA
                - PE
                - PF
                - PG
                - PH
                - PK
                - PL
                - PM
                - PN
                - PR
                - PS
                - PT
                - PW
                - PY
                - QA
                - RE
                - RO
                - RS
                - RU
                - RW
                - SA
                - SB
                - SC
                - SD
                - SE
                - SG
                - SH
                - SI
                - SJ
                - SK
                - SL
                - SM
                - SN
                - SO
                - SR
                - SS
                - ST
                - SV
                - SX
                - SY
                - SZ
                - TC
                - TD
                - TF
                - TG
                - TH
                - TJ
                - TK
                - TL
                - TM
                - TN
                - TO
                - TR
                - TT
                - TV
                - TW
                - TZ
                - UA
                - UG
                - UM
                - US
                - UY
                - UZ
                - VA
                - VC
                - VE
                - VG
                - VI
                - VN
                - VU
                - WF
                - WS
                - XK
                - YE
                - YT
                - ZA
                - ZM
                - ZW
              type: string
            - const: ALL
              type: string
          default: ALL
          description: Country code for geolocation and proxy selection
          examples:
            - US
        device:
          default: desktop
          description: Device type for browser emulation
          enum:
            - desktop
            - mobile
            - tablet
          examples:
            - desktop
          type: string
        driver:
          description: Browser driver to use
          enum:
            - auto
            - vx6
            - vx8
            - vx8-pro
            - vx10
            - vx10-pro
            - vx12
            - vx12-pro
            - media-vx6
            - fast-vx6
          examples:
            - vx8
          type: string
        expected_status_codes:
          description: Expected HTTP status codes for successful requests
          examples:
            - - 200
              - 201
          items:
            maximum: 9007199254740991
            minimum: -9007199254740991
            type: integer
          type: array
        formats:
          description: List of acceptable response formats in order of preference
          examples:
            - - html
          items:
            enum:
              - html
              - markdown
              - screenshot
              - headers
              - links
            type: string
          minItems: 1
          type: array
        headers:
          additionalProperties:
            anyOf:
              - type: string
              - type: 'null'
              - items:
                  type: string
                type: array
          default: {}
          description: Custom HTTP headers to include in the request
          examples:
            - Accept-Language: en-US
              User-Agent: CustomBot/1.0
          propertyNames:
            type: string
          type: object
        http2:
          default: false
          description: Whether to use HTTP/2 protocol
          examples:
            - true
          type: boolean
        is_xhr:
          default: false
          description: Whether to emulate XMLHttpRequest behavior
          examples:
            - true
          type: boolean
        locale:
          anyOf:
            - enum:
                - aa-DJ
                - aa-ER
                - aa-ET
                - af
                - af-NA
                - af-ZA
                - ak
                - ak-GH
                - am
                - am-ET
                - an-ES
                - ar
                - ar-AE
                - ar-BH
                - ar-DZ
                - ar-EG
                - ar-IN
                - ar-IQ
                - ar-JO
                - ar-KW
                - ar-LB
                - ar-LY
                - ar-MA
                - ar-OM
                - ar-QA
                - ar-SA
                - ar-SD
                - ar-SY
                - ar-TN
                - ar-YE
                - as
                - as-IN
                - asa
                - asa-TZ
                - ast-ES
                - az
                - az-AZ
                - az-Cyrl
                - az-Cyrl-AZ
                - az-Latn
                - az-Latn-AZ
                - be
                - be-BY
                - bem
                - bem-ZM
                - ber-DZ
                - ber-MA
                - bez
                - bez-TZ
                - bg
                - bg-BG
                - bho-IN
                - bm
                - bm-ML
                - bn
                - bn-BD
                - bn-IN
                - bo
                - bo-CN
                - bo-IN
                - br-FR
                - brx-IN
                - bs
                - bs-BA
                - byn-ER
                - ca
                - ca-AD
                - ca-ES
                - ca-FR
                - ca-IT
                - cgg
                - cgg-UG
                - chr
                - chr-US
                - crh-UA
                - cs
                - cs-CZ
                - csb-PL
                - cv-RU
                - cy
                - cy-GB
                - da
                - da-DK
                - dav
                - dav-KE
                - de
                - de-AT
                - de-BE
                - de-CH
                - de-DE
                - de-LI
                - de-LU
                - dv-MV
                - dz-BT
                - ebu
                - ebu-KE
                - ee
                - ee-GH
                - ee-TG
                - el
                - el-CY
                - el-GR
                - en
                - en-AG
                - en-AS
                - en-AU
                - en-BE
                - en-BW
                - en-BZ
                - en-CA
                - en-DK
                - en-GB
                - en-GU
                - en-HK
                - en-IE
                - en-IN
                - en-JM
                - en-MH
                - en-MP
                - en-MT
                - en-MU
                - en-NA
                - en-NG
                - en-NZ
                - en-PH
                - en-PK
                - en-SG
                - en-TT
                - en-UM
                - en-US
                - en-VI
                - en-ZA
                - en-ZM
                - en-ZW
                - eo
                - es
                - es-419
                - es-AR
                - es-BO
                - es-CL
                - es-CO
                - es-CR
                - es-CU
                - es-DO
                - es-EC
                - es-ES
                - es-GQ
                - es-GT
                - es-HN
                - es-MX
                - es-NI
                - es-PA
                - es-PE
                - es-PR
                - es-PY
                - es-SV
                - es-US
                - es-UY
                - es-VE
                - et
                - et-EE
                - eu
                - eu-ES
                - fa
                - fa-AF
                - fa-IR
                - ff
                - ff-SN
                - fi
                - fi-FI
                - fil
                - fil-PH
                - fo
                - fo-FO
                - fr
                - fr-BE
                - fr-BF
                - fr-BI
                - fr-BJ
                - fr-BL
                - fr-CA
                - fr-CD
                - fr-CF
                - fr-CG
                - fr-CH
                - fr-CI
                - fr-CM
                - fr-DJ
                - fr-FR
                - fr-GA
                - fr-GN
                - fr-GP
                - fr-GQ
                - fr-KM
                - fr-LU
                - fr-MC
                - fr-MF
                - fr-MG
                - fr-ML
                - fr-MQ
                - fr-NE
                - fr-RE
                - fr-RW
                - fr-SN
                - fr-TD
                - fr-TG
                - fur-IT
                - fy-DE
                - fy-NL
                - ga
                - ga-IE
                - gd-GB
                - gez-ER
                - gez-ET
                - gl
                - gl-ES
                - gsw
                - gsw-CH
                - gu
                - gu-IN
                - guz
                - guz-KE
                - gv
                - gv-GB
                - ha
                - ha-Latn
                - ha-Latn-GH
                - ha-Latn-NE
                - ha-Latn-NG
                - ha-NG
                - haw
                - haw-US
                - he
                - he-IL
                - hi
                - hi-IN
                - hne-IN
                - hr
                - hr-HR
                - hsb-DE
                - ht-HT
                - hu
                - hu-HU
                - hy
                - hy-AM
                - id
                - id-ID
                - ig
                - ig-NG
                - ii
                - ii-CN
                - ik-CA
                - is
                - is-IS
                - it
                - it-CH
                - it-IT
                - iu-CA
                - iw-IL
                - ja
                - ja-JP
                - jmc
                - jmc-TZ
                - ka
                - ka-GE
                - kab
                - kab-DZ
                - kam
                - kam-KE
                - kde
                - kde-TZ
                - kea
                - kea-CV
                - khq
                - khq-ML
                - ki
                - ki-KE
                - kk
                - kk-Cyrl
                - kk-Cyrl-KZ
                - kk-KZ
                - kl
                - kl-GL
                - kln
                - kln-KE
                - km
                - km-KH
                - kn
                - kn-IN
                - ko
                - ko-KR
                - kok
                - kok-IN
                - ks-IN
                - ku-TR
                - kw
                - kw-GB
                - ky-KG
                - lag
                - lag-TZ
                - lb-LU
                - lg
                - lg-UG
                - li-BE
                - li-NL
                - lij-IT
                - lo-LA
                - lt
                - lt-LT
                - luo
                - luo-KE
                - luy
                - luy-KE
                - lv
                - lv-LV
                - mag-IN
                - mai-IN
                - mas
                - mas-KE
                - mas-TZ
                - mer
                - mer-KE
                - mfe
                - mfe-MU
                - mg
                - mg-MG
                - mhr-RU
                - mi-NZ
                - mk
                - mk-MK
                - ml
                - ml-IN
                - mn-MN
                - mr
                - mr-IN
                - ms
                - ms-BN
                - ms-MY
                - mt
                - mt-MT
                - my
                - my-MM
                - nan-TW
                - naq
                - naq-NA
                - nb
                - nb-NO
                - nd
                - nd-ZW
                - nds-DE
                - nds-NL
                - ne
                - ne-IN
                - ne-NP
                - nl
                - nl-AW
                - nl-BE
                - nl-NL
                - nn
                - nn-NO
                - nr-ZA
                - nso-ZA
                - nyn
                - nyn-UG
                - oc-FR
                - om
                - om-ET
                - om-KE
                - or
                - or-IN
                - os-RU
                - pa
                - pa-Arab
                - pa-Arab-PK
                - pa-Guru
                - pa-Guru-IN
                - pa-IN
                - pa-PK
                - pap-AN
                - pl
                - pl-PL
                - ps
                - ps-AF
                - pt
                - pt-BR
                - pt-GW
                - pt-MZ
                - pt-PT
                - rm
                - rm-CH
                - ro
                - ro-MD
                - ro-RO
                - rof
                - rof-TZ
                - ru
                - ru-MD
                - ru-RU
                - ru-UA
                - rw
                - rw-RW
                - rwk
                - rwk-TZ
                - sa-IN
                - saq
                - saq-KE
                - sc-IT
                - sd-IN
                - se-NO
                - seh
                - seh-MZ
                - ses
                - ses-ML
                - sg
                - sg-CF
                - shi
                - shi-Latn
                - shi-Latn-MA
                - shi-Tfng
                - shi-Tfng-MA
                - shs-CA
                - si
                - si-LK
                - sid-ET
                - sk
                - sk-SK
                - sl
                - sl-SI
                - sn
                - sn-ZW
                - so
                - so-DJ
                - so-ET
                - so-KE
                - so-SO
                - sq
                - sq-AL
                - sq-MK
                - sr
                - sr-Cyrl
                - sr-Cyrl-BA
                - sr-Cyrl-ME
                - sr-Cyrl-RS
                - sr-Latn
                - sr-Latn-BA
                - sr-Latn-ME
                - sr-Latn-RS
                - sr-ME
                - sr-RS
                - ss-ZA
                - st-ZA
                - sv
                - sv-FI
                - sv-SE
                - sw
                - sw-KE
                - sw-TZ
                - ta
                - ta-IN
                - ta-LK
                - te
                - te-IN
                - teo
                - teo-KE
                - teo-UG
                - tg-TJ
                - th
                - th-TH
                - ti
                - ti-ER
                - ti-ET
                - tig-ER
                - tk-TM
                - tl-PH
                - tn-ZA
                - to
                - to-TO
                - tr
                - tr-CY
                - tr-TR
                - ts-ZA
                - tt-RU
                - tzm
                - tzm-Latn
                - tzm-Latn-MA
                - ug-CN
                - uk
                - uk-UA
                - unm-US
                - ur
                - ur-IN
                - ur-PK
                - uz
                - uz-Arab
                - uz-Arab-AF
                - uz-Cyrl
                - uz-Cyrl-UZ
                - uz-Latn
                - uz-Latn-UZ
                - uz-UZ
                - ve-ZA
                - vi
                - vi-VN
                - vun
                - vun-TZ
                - wa-BE
                - wae-CH
                - wal-ET
                - wo-SN
                - xh-ZA
                - xog
                - xog-UG
                - yi-US
                - yo
                - yo-NG
                - yue-HK
                - zh
                - zh-CN
                - zh-HK
                - zh-Hans
                - zh-Hans-CN
                - zh-Hans-HK
                - zh-Hans-MO
                - zh-Hans-SG
                - zh-Hant
                - zh-Hant-HK
                - zh-Hant-MO
                - zh-Hant-TW
                - zh-SG
                - zh-TW
                - zu
                - zu-ZA
              type: string
            - const: auto
              type: string
          default: en
          description: Locale for browser language and region settings
          examples:
            - en-US
        markdown_backend:
          default: full_page
          description: >-
            Selects which markdown conversion strategy to use. "full_page"
            converts the entire HTML page. "main_content" uses Mozilla
            Readability to extract the main article content before converting.
          enum:
            - full_page
            - main_content
          examples:
            - full_page
          type: string
        method:
          default: GET
          description: HTTP method for the request
          enum:
            - GET
            - POST
            - PUT
            - PATCH
            - DELETE
          examples:
            - GET
          type: string
        network_capture:
          description: Filters for capturing network traffic
          items:
            properties:
              method:
                enum:
                  - GET
                  - HEAD
                  - POST
                  - PUT
                  - DELETE
                  - CONNECT
                  - OPTIONS
                  - TRACE
                  - PATCH
                type: string
              resource_type:
                anyOf:
                  - description: Resource type for network capture filtering
                    examples:
                      - document
                      - script
                      - xhr
                      - fetch
                    type: string
                  - items:
                      description: Resource type for network capture filtering
                      examples:
                        - document
                        - script
                        - xhr
                        - fetch
                      type: string
                    minItems: 1
                    type: array
              status_code:
                anyOf:
                  - maximum: 599
                    minimum: 100
                    type: number
                  - items:
                      maximum: 599
                      minimum: 100
                      type: number
                    minItems: 1
                    type: array
              url:
                properties:
                  type:
                    default: exact
                    enum:
                      - exact
                      - contains
                    type: string
                  value:
                    type: string
                required:
                  - value
                type: object
              validation:
                default: false
                type: boolean
              wait_for_requests_count:
                default: 0
                minimum: 0
                type: number
              wait_for_requests_count_timeout:
                exclusiveMinimum: 0
                maximum: 300000
                type: number
            type: object
          type: array
        os:
          description: Operating system to emulate
          enum:
            - windows
            - mac os
            - linux
            - android
            - ios
          examples:
            - windows
          type: string
        parse:
          default: false
          description: Whether to parse the response content
          examples:
            - true
          type: boolean
        parser:
          anyOf:
            - additionalProperties: {}
              propertyNames:
                type: string
              type: object
            - type: string
          description: Custom parser configuration as a key-value map
          examples:
            - myParser:
                option1: value1
        referrer_type:
          anyOf:
            - enum:
                - random
                - no-referer
                - same-origin
              type: string
            - enum:
                - google
                - bing
                - facebook
                - twitter
                - instagram
              type: string
          description: Referrer policy for the request
          examples:
            - no-referrer
        render:
          anyOf:
            - type: boolean
            - const: auto
              type: string
          description: Whether to render JavaScript content using a browser
          examples:
            - true
        request_timeout:
          description: Request timeout in milliseconds
          examples:
            - 30000
          minimum: 1
          type: number
        session:
          properties:
            id:
              type: string
            prefetch_userbrowser:
              default: false
              type: boolean
            renew_on_blocked:
              default: false
              type: boolean
            retry:
              default: false
              type: boolean
            timeout:
              exclusiveMinimum: 0
              type: number
          type: object
        skill:
          anyOf:
            - description: Skills or capabilities required for the request
              examples:
                - dynamic-content
              private: true
              type: string
              x-private: true
            - description: Skills or capabilities required for the request
              examples:
                - - javascript
                  - dynamic-content
              items:
                type: string
              private: true
              type: array
              x-private: true
        state:
          description: US state for geolocation (only valid when country is US)
          enum:
            - AL
            - AK
            - AS
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - GU
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - MP
            - OH
            - OK
            - OR
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - VI
            - WA
            - WV
            - WI
            - WY
          examples:
            - CA
          type: string
        tag:
          description: User-defined tag for request identification
          examples:
            - campaign-2024-q1
          type: string
        url:
          description: Target URL to scrape
          type: string
      required:
        - url
      type: object
    ExtractAsyncResponse:
      additionalProperties: false
      description: Response when an async extract task is created successfully.
      properties:
        status:
          const: success
          description: Status indicating the async task was created successfully.
          type: string
        task:
          additionalProperties: false
          description: The created async task details.
          properties:
            _query: {}
            account_name:
              description: Account name that owns the task.
              type: string
            api_type:
              enum:
                - web
                - serp
                - ecommerce
                - social
                - media
                - agent
                - extract
                - fast-serp
                - labs
              type: string
            batch_id:
              anyOf:
                - type: string
                - type: 'null'
              description: Batch ID if this task is part of a batch.
              examples:
                - 4b0a90bf-c951-42e4-95b3-a95a65ba69fc
            created_at:
              description: Timestamp when the task was created.
              examples:
                - '2024-01-15T10:30:00Z'
              type: string
            download_url:
              anyOf:
                - format: uri
                  type: string
                - type: 'null'
              description: URL for downloading the task results.
              examples:
                - >-
                  https://api.webit.live/api/v2/tasks/123e4567-e89b-12d3-a456-426614174000/results
            error:
              anyOf:
                - type: string
                - type: 'null'
              description: Error message if the task failed.
              examples:
                - Connection timeout
            error_type:
              anyOf:
                - type: string
                - type: 'null'
              description: Classification of the error type.
              examples:
                - timeout_error
            id:
              description: Unique task identifier.
              examples:
                - 123e4567-e89b-12d3-a456-426614174000
              minLength: 1
              type: string
            input:
              description: Original input data for the task.
            modified_at:
              description: Timestamp when the task was last modified.
              examples:
                - '2024-01-15T10:35:00Z'
              type: string
            output_url:
              anyOf:
                - type: string
                - type: 'null'
              description: Storage location of the output data.
            queue:
              description: Queue name the task was submitted to.
              type: string
            state:
              description: Current state of the task.
              enum:
                - pending
                - queued
                - in_progress
                - success
                - error
              examples:
                - pending
              type: string
            status_code:
              description: HTTP status code from the task execution.
              examples:
                - 200
              type: number
            status_url:
              description: URL for checking the task status.
              examples:
                - >-
                  https://api.webit.live/api/v2/tasks/123e4567-e89b-12d3-a456-426614174000
              format: uri
              type: string
          required:
            - id
            - state
            - status_url
            - created_at
            - input
            - _query
          type: object
      required:
        - status
        - task
      type: object
    BrowserActions:
      description: Array of browser automation actions to execute sequentially
      example:
        - goto: https://example.com/login
        - wait_for_element: '#login-form'
        - fill:
            selector: '#username'
            value: user@example.com
        - fill:
            selector: '#password'
            value: password123
        - click: '#submit'
        - screenshot:
            full_page: true
      items:
        $ref: '#/components/schemas/BrowserAction'
      minItems: 1
      type: array
    BrowserAction:
      description: A browser automation action. Exactly one action key must be present.
      oneOf:
        - $ref: '#/components/schemas/AutoScrollAction'
        - $ref: '#/components/schemas/ClickAction'
        - $ref: '#/components/schemas/EvalAction'
        - $ref: '#/components/schemas/FetchAction'
        - $ref: '#/components/schemas/FillAction'
        - $ref: '#/components/schemas/GetCookiesAction'
        - $ref: '#/components/schemas/GotoAction'
        - $ref: '#/components/schemas/PressAction'
        - $ref: '#/components/schemas/ScreenshotAction'
        - $ref: '#/components/schemas/ScrollAction'
        - $ref: '#/components/schemas/WaitAction'
        - $ref: '#/components/schemas/WaitForElementAction'
        - $ref: '#/components/schemas/WaitForNavigationAction'
    AutoScrollAction:
      additionalProperties: false
      description: Continuously scroll to load dynamic content
      properties:
        auto_scroll:
          oneOf:
            - type: boolean
            - $ref: '#/components/schemas/Duration'
            - additionalProperties: false
              properties:
                click_selector:
                  $ref: '#/components/schemas/Selector'
                container:
                  $ref: '#/components/schemas/Selector'
                delay_after_scroll:
                  $ref: '#/components/schemas/Duration'
                idle_timeout:
                  $ref: '#/components/schemas/Duration'
                loading_selector:
                  $ref: '#/components/schemas/Selector'
                max_duration:
                  $ref: '#/components/schemas/Duration'
                pause_on_selector:
                  $ref: '#/components/schemas/Selector'
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                step_size:
                  type: number
              type: object
      required:
        - auto_scroll
      type: object
    ClickAction:
      additionalProperties: false
      description: Click on an element by selector
      properties:
        click:
          oneOf:
            - $ref: '#/components/schemas/Selector'
            - additionalProperties: false
              properties:
                count:
                  default: 1
                  minimum: 1
                  type: number
                delay:
                  $ref: '#/components/schemas/Duration'
                offset_x:
                  maximum: 9007199254740991
                  minimum: -9007199254740991
                  type: integer
                offset_y:
                  maximum: 9007199254740991
                  minimum: -9007199254740991
                  type: integer
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                scroll:
                  default: true
                  type: boolean
                selector:
                  $ref: '#/components/schemas/Selector'
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                steps:
                  minimum: 1
                  type: number
                strategy:
                  enum:
                    - linear
                    - ghost-cursor
                    - windmouse
                  type: string
                timeout:
                  default: 15000
                  description: >-
                    Timeout in milliseconds. Set to 0 for infinite timeout (no
                    timeout). Default: 15000ms.
                  minimum: 0
                  type: number
                visible:
                  default: true
                  type: boolean
              required:
                - selector
              type: object
      required:
        - click
      type: object
    EvalAction:
      additionalProperties: false
      description: Execute JavaScript code in page context
      properties:
        eval:
          oneOf:
            - type: string
            - additionalProperties: false
              properties:
                code:
                  minLength: 1
                  type: string
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                timeout:
                  default: 15000
                  description: >-
                    Timeout in milliseconds. Set to 0 for infinite timeout (no
                    timeout). Default: 15000ms.
                  minimum: 0
                  type: number
              required:
                - code
              type: object
      required:
        - eval
      type: object
    FetchAction:
      additionalProperties: false
      description: Make an HTTP request in browser context
      properties:
        fetch:
          oneOf:
            - format: uri
              type: string
            - additionalProperties: false
              properties:
                body:
                  type: string
                headers:
                  additionalProperties:
                    type: string
                  propertyNames:
                    type: string
                  type: object
                method:
                  enum:
                    - GET
                    - HEAD
                    - POST
                    - PUT
                    - DELETE
                    - CONNECT
                    - OPTIONS
                    - TRACE
                    - PATCH
                  type: string
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                timeout:
                  default: 15000
                  description: >-
                    Timeout in milliseconds. Set to 0 for infinite timeout (no
                    timeout). Default: 15000ms.
                  minimum: 0
                  type: number
                url:
                  format: uri
                  type: string
              required:
                - url
              type: object
      required:
        - fetch
      type: object
    FillAction:
      additionalProperties: false
      description: Fill text into an input field
      properties:
        fill:
          $ref: '#/components/schemas/FillOptions'
      required:
        - fill
      type: object
    GetCookiesAction:
      additionalProperties: false
      description: Retrieve browser cookies
      properties:
        get_cookies:
          oneOf:
            - type: boolean
            - additionalProperties: {}
              properties:
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
              type: object
      required:
        - get_cookies
      type: object
    GotoAction:
      additionalProperties: false
      description: Navigate to a URL
      properties:
        goto:
          oneOf:
            - format: uri
              type: string
            - additionalProperties: false
              properties:
                referer:
                  type: string
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                timeout:
                  default: 15000
                  description: >-
                    Timeout in milliseconds. Set to 0 for infinite timeout (no
                    timeout). Default: 15000ms.
                  minimum: 0
                  type: number
                url:
                  format: uri
                  type: string
                wait_until:
                  default: load
                  enum:
                    - load
                    - domcontentloaded
                    - networkidle0
                    - networkidle2
                  type: string
              required:
                - url
              type: object
      required:
        - goto
      type: object
    PressAction:
      additionalProperties: false
      description: Press a keyboard key
      properties:
        press:
          oneOf:
            - type: string
            - additionalProperties: false
              properties:
                delay:
                  $ref: '#/components/schemas/Duration'
                key:
                  enum:
                    - '0'
                    - '1'
                    - '2'
                    - '3'
                    - '4'
                    - '5'
                    - '6'
                    - '7'
                    - '8'
                    - '9'
                    - Power
                    - Eject
                    - Abort
                    - Help
                    - Backspace
                    - Tab
                    - Numpad5
                    - NumpadEnter
                    - Enter
                    - "\r"
                    - |+

                    - ShiftLeft
                    - ShiftRight
                    - ControlLeft
                    - ControlRight
                    - AltLeft
                    - AltRight
                    - Pause
                    - CapsLock
                    - Escape
                    - Convert
                    - NonConvert
                    - Space
                    - Numpad9
                    - PageUp
                    - Numpad3
                    - PageDown
                    - End
                    - Numpad1
                    - Home
                    - Numpad7
                    - ArrowLeft
                    - Numpad4
                    - Numpad8
                    - ArrowUp
                    - ArrowRight
                    - Numpad6
                    - Numpad2
                    - ArrowDown
                    - Select
                    - Open
                    - PrintScreen
                    - Insert
                    - Numpad0
                    - Delete
                    - NumpadDecimal
                    - Digit0
                    - Digit1
                    - Digit2
                    - Digit3
                    - Digit4
                    - Digit5
                    - Digit6
                    - Digit7
                    - Digit8
                    - Digit9
                    - KeyA
                    - KeyB
                    - KeyC
                    - KeyD
                    - KeyE
                    - KeyF
                    - KeyG
                    - KeyH
                    - KeyI
                    - KeyJ
                    - KeyK
                    - KeyL
                    - KeyM
                    - KeyN
                    - KeyO
                    - KeyP
                    - KeyQ
                    - KeyR
                    - KeyS
                    - KeyT
                    - KeyU
                    - KeyV
                    - KeyW
                    - KeyX
                    - KeyY
                    - KeyZ
                    - MetaLeft
                    - MetaRight
                    - ContextMenu
                    - NumpadMultiply
                    - NumpadAdd
                    - NumpadSubtract
                    - NumpadDivide
                    - F1
                    - F2
                    - F3
                    - F4
                    - F5
                    - F6
                    - F7
                    - F8
                    - F9
                    - F10
                    - F11
                    - F12
                    - F13
                    - F14
                    - F15
                    - F16
                    - F17
                    - F18
                    - F19
                    - F20
                    - F21
                    - F22
                    - F23
                    - F24
                    - NumLock
                    - ScrollLock
                    - AudioVolumeMute
                    - AudioVolumeDown
                    - AudioVolumeUp
                    - MediaTrackNext
                    - MediaTrackPrevious
                    - MediaStop
                    - MediaPlayPause
                    - Semicolon
                    - Equal
                    - NumpadEqual
                    - Comma
                    - Minus
                    - Period
                    - Slash
                    - Backquote
                    - BracketLeft
                    - Backslash
                    - BracketRight
                    - Quote
                    - AltGraph
                    - Props
                    - Cancel
                    - Clear
                    - Shift
                    - Control
                    - Alt
                    - Accept
                    - ModeChange
                    - ' '
                    - Print
                    - Execute
                    - "\0"
                    - a
                    - b
                    - c
                    - d
                    - e
                    - f
                    - g
                    - h
                    - i
                    - j
                    - k
                    - l
                    - m
                    - 'n'
                    - o
                    - p
                    - q
                    - r
                    - s
                    - t
                    - u
                    - v
                    - w
                    - x
                    - 'y'
                    - z
                    - Meta
                    - '*'
                    - +
                    - '-'
                    - /
                    - ;
                    - '='
                    - ','
                    - .
                    - '`'
                    - '['
                    - \
                    - ']'
                    - ''''
                    - Attn
                    - CrSel
                    - ExSel
                    - EraseEof
                    - Play
                    - ZoomOut
                    - )
                    - '!'
                    - '@'
                    - '#'
                    - $
                    - '%'
                    - ^
                    - '&'
                    - (
                    - A
                    - B
                    - C
                    - D
                    - E
                    - F
                    - G
                    - H
                    - I
                    - J
                    - K
                    - L
                    - M
                    - 'N'
                    - O
                    - P
                    - Q
                    - R
                    - S
                    - T
                    - U
                    - V
                    - W
                    - X
                    - 'Y'
                    - Z
                    - ':'
                    - <
                    - _
                    - '>'
                    - '?'
                    - '~'
                    - '{'
                    - '|'
                    - '}'
                    - '"'
                    - SoftLeft
                    - SoftRight
                    - Camera
                    - Call
                    - EndCall
                    - VolumeDown
                    - VolumeUp
                  type: string
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
              required:
                - key
              type: object
      required:
        - press
      type: object
    ScreenshotAction:
      additionalProperties: false
      description: Capture a page screenshot
      properties:
        screenshot:
          oneOf:
            - type: boolean
            - additionalProperties: false
              properties:
                format:
                  enum:
                    - png
                    - jpeg
                    - webp
                  type: string
                full_page:
                  type: boolean
                quality:
                  maximum: 100
                  minimum: 0
                  type: number
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
              type: object
      required:
        - screenshot
      type: object
    ScrollAction:
      additionalProperties: false
      description: Scroll the page or an element
      properties:
        scroll:
          oneOf:
            - type: number
            - type: string
            - additionalProperties: false
              properties:
                container:
                  $ref: '#/components/schemas/Selector'
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                to:
                  $ref: '#/components/schemas/Selector'
                visible:
                  type: boolean
                x:
                  type: number
                'y':
                  type: number
              type: object
      required:
        - scroll
      type: object
    WaitAction:
      additionalProperties: false
      description: Wait for a specified duration
      properties:
        wait:
          oneOf:
            - $ref: '#/components/schemas/Duration'
            - additionalProperties: false
              properties:
                duration:
                  $ref: '#/components/schemas/Duration'
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
              required:
                - duration
              type: object
      required:
        - wait
      type: object
    WaitForElementAction:
      additionalProperties: false
      description: Wait for an element to appear or reach a specific state
      properties:
        wait_for_element:
          oneOf:
            - $ref: '#/components/schemas/Selector'
            - additionalProperties: false
              properties:
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                selector:
                  $ref: '#/components/schemas/Selector'
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                timeout:
                  default: 15000
                  description: >-
                    Timeout in milliseconds. Set to 0 for infinite timeout (no
                    timeout). Default: 15000ms.
                  minimum: 0
                  type: number
                visible:
                  type: boolean
              required:
                - selector
              type: object
      required:
        - wait_for_element
      type: object
    WaitForNavigationAction:
      additionalProperties: false
      description: Wait for page navigation to complete
      properties:
        wait_for_navigation:
          oneOf:
            - enum:
                - load
                - domcontentloaded
                - networkidle0
                - networkidle2
              type: string
            - additionalProperties: false
              properties:
                navigation:
                  enum:
                    - load
                    - domcontentloaded
                    - networkidle0
                    - networkidle2
                  type: string
                required:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether this action is required. If true, pipeline stops on
                    failure. Accepts boolean or string "true"/"false". Default:
                    true.
                skip:
                  anyOf:
                    - type: boolean
                    - const: 'true'
                      type: string
                    - const: 'false'
                      type: string
                  description: >-
                    Whether to skip this action. Accepts boolean or string
                    "true"/"false". Default: false.
                timeout:
                  default: 15000
                  description: >-
                    Timeout in milliseconds. Set to 0 for infinite timeout (no
                    timeout). Default: 15000ms.
                  minimum: 0
                  type: number
              required:
                - navigation
              type: object
      required:
        - wait_for_navigation
      type: object
    Duration:
      description: >-
        Duration value that accepts various formats. Supports: number (ms),
        string ("1000"), or string with unit ("2s", "500ms", "2m", "1h")
      examples:
        - 1000
        - 2s
        - 500ms
        - 1.5m
        - 1h
      oneOf:
        - minimum: 0
          type: number
        - type: string
    Selector:
      description: >-
        CSS selector or array of alternative selectors. Use an array when you
        have multiple possible selectors for the same element.
      examples:
        - '#submit-button'
        - button.primary
        - - '#submit-button'
          - .submit-btn
          - button[type="submit"]
      oneOf:
        - minLength: 1
          type: string
        - items:
            minLength: 1
            type: string
          minItems: 1
          type: array
    FillOptions:
      description: >-
        Fill options with mode-specific fields. Use "type" mode for behavioral
        typing simulation, or "paste" mode for instant paste.
      discriminator:
        propertyName: mode
      oneOf:
        - additionalProperties: false
          properties:
            click_on_element:
              default: true
              type: boolean
            delay:
              $ref: '#/components/schemas/Duration'
            mode:
              const: type
              default: type
              type: string
            mouse_movement_strategy:
              enum:
                - linear
                - ghost-cursor
                - windmouse
              type: string
            required:
              anyOf:
                - type: boolean
                - const: 'true'
                  type: string
                - const: 'false'
                  type: string
              description: >-
                Whether this action is required. If true, pipeline stops on
                failure. Accepts boolean or string "true"/"false". Default:
                true.
            scroll:
              default: true
              type: boolean
            selector:
              $ref: '#/components/schemas/Selector'
            skip:
              anyOf:
                - type: boolean
                - const: 'true'
                  type: string
                - const: 'false'
                  type: string
              description: >-
                Whether to skip this action. Accepts boolean or string
                "true"/"false". Default: false.
            timeout:
              default: 15000
              description: >-
                Timeout in milliseconds. Set to 0 for infinite timeout (no
                timeout). Default: 15000ms.
              minimum: 0
              type: number
            typing_interval:
              $ref: '#/components/schemas/Duration'
            typing_strategy:
              enum:
                - simple
                - distribution
              type: string
            value:
              minLength: 1
              type: string
            visible:
              default: true
              type: boolean
          required:
            - selector
            - value
          type: object
        - additionalProperties: false
          properties:
            click_on_element:
              default: true
              type: boolean
            delay:
              $ref: '#/components/schemas/Duration'
            mode:
              const: paste
              type: string
            required:
              anyOf:
                - type: boolean
                - const: 'true'
                  type: string
                - const: 'false'
                  type: string
              description: >-
                Whether this action is required. If true, pipeline stops on
                failure. Accepts boolean or string "true"/"false". Default:
                true.
            scroll:
              default: true
              type: boolean
            selector:
              $ref: '#/components/schemas/Selector'
            skip:
              anyOf:
                - type: boolean
                - const: 'true'
                  type: string
                - const: 'false'
                  type: string
              description: >-
                Whether to skip this action. Accepts boolean or string
                "true"/"false". Default: false.
            timeout:
              default: 15000
              description: >-
                Timeout in milliseconds. Set to 0 for infinite timeout (no
                timeout). Default: 15000ms.
              minimum: 0
              type: number
            value:
              minLength: 1
              type: string
            visible:
              default: true
              type: boolean
          required:
            - selector
            - value
            - mode
          type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.